This is the description how to connect to the LabKey through API:
1. Create a file named ".netrc" in your home directory. This file must include the following three lines:  
machine <remote-instance-of-labkey-server>  
login <user-email>  
password <user-password>  
  
E.g.:  
  
machine labkey.scicore.unibas.ch  
login eva.pujadas@unibas.ch  
password xxxxx  

To secure the file, set permissions in a way that only you can see the content of the file:  
$ chmod 400 .netrc  

2. For running the script labkey_api.py libraries "labkey" and "pandas" are required. Either you install them and run the script with the standard python or you use the module "labkey-api-python/1.1.0-foss-2018b-Python-3.6.6" provided by SciCore. Execute the following command:  
python labkey_api.py arg1 arg2  
Here, arg1 stands for the project name, arg2 stands for the name of the LabKey table.  
  
E.g.:  
python labkey_api.py TEST_ABOERSCH RNA_Seq_data_template  

The script outputs the complete LabKey table in the form of pandas data frame.
